from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSAXEventKeeper(XInterface, Protocol):
    def addElementCollector(self) -> int: ...
    def removeElementCollector(self, id: int) -> None: ...
    def addBlocker(self) -> int: ...
    def removeBlocker(self, id: int) -> None: ...
    def isBlocking(self) -> bool: ...
    def getElement(self, id: int) -> XXMLElementWrapper: ...
    def setElement(self, id: int, aElement: XXMLElementWrapper) -> None: ...
    def setNextHandler(self, nextHandler: XDocumentHandler) -> XDocumentHandler: ...
    def printBufferNodeTree(self) -> str: ...
    def getCurrentBlockingNode(self) -> XXMLElementWrapper: ...
